import {useState, useEffect} from "react"
import {csv, mean, rollup} from "d3"



const csvUrl = 
      'https://gist.githubusercontent.com/anxietyattacked/052c06de63767fd8491beb0dde80f163/raw/9a009dd86f9b3900cd71ac2a8e4d08ef2fe77b12/Lebron-shots.csv'


const row = d => {
 d.x = +d["LOC_X"];
d.y = +d["LOC_Y"];
d['SHOT_MADE_FLAG'] = +d["SHOT_MADE_FLAG"];
d['SHOT_DISTANCE'] = +d["SHOT_DISTANCE"]
d['FG_PCT'] = +d['FG_PCT']
  return d;
};



export const usePlayerData = () => {
const [data, setData] = useState(null)
console.log(data)

  useEffect(() => {
    csv(csvUrl, row).then(setData);
    

  }, []);


return data
}